CREATE TABLE packages
(
	name VARCHAR(64) NOT NULL,
	version VARCHAR(64) NOT NULL,
	filename TEXT,
	arch TEXT,
	maintainer TEXT NOT NULL,
	category TEXT,
	installed_size INTEGER,
	source_package TEXT,
	homepage TEXT,
	summary TEXT,
	description TEXT,
	license TEXT,
	distribution TEXT,
	vendor TEXT
);
CREATE TABLE files
(
	package_name VARCHAR(64) NOT NULL REFERENCES packages(name),
	package_version VARCHAR(64) NOT NULL REFERENCES packages(version),
	path VARCHAR(255) BINARY NOT NULL
);
CREATE TABLE dependencies
(
	dependency_type VARCHAR(32) NOT NULL,
	package_name VARCHAR(64) NOT NULL REFERENCES packages(name),
	package_version VARCHAR(64) NOT NULL REFERENCES packages(version),
	name VARCHAR(128) NOT NULL,
	operator CHAR(2) NOT NULL,
	version VARCHAR(64) NOT NULL,
	group_id INTEGER,
	CHECK (operator = '' OR operator = '>' OR operator = '<' OR operator = '=' OR operator = '>=' OR operator = '<=')
);
CREATE TABLE provides
(
	package_name VARCHAR(64) NOT NULL REFERENCES packages(name),
	package_version VARCHAR(64) NOT NULL REFERENCES packages(version),
	name VARCHAR(128) NOT NULL,
	operator CHAR(2) NOT NULL,
	version VARCHAR(64) NOT NULL
);
CREATE TABLE unmet
(
	name VARCHAR(128) NOT NULL,
	operator CHAR(2) NOT NULL,
	version VARCHAR(64) NOT NULL
);
